PORTSLOGGER(1)

NAME
portslogger - logs ports builds selectively

SYNOPSIS
portslogger [-s] directory

DESCRIPTION
portslogger saves logs from ports build in separate files.

portslogger handles directory change messages from the ports tree infrastructure and switches to a corresponding log file situated in directory accordingly, e.g., it will log the build from screen in directory/screen-4.0.3p1.log. portslogger will filter progress-bar noise from ftp(1), pkg_add(1), and pkg_create(1).

By default, portslogger acts as a filter and still passes its input to stdout, unless run with -s.

It is most often used as

    $ make package 2>&1 | portslogger logdir

or in conjunction with tmux(1), such as

    $ tmux pipe-pane 'portslogger -s logdir'

SEE ALSO
dpb(1), tmux(1)